WordPress.org

Make WordPress Core


Ignore:
Timestamp:
11/03/2019 04:46:55 PM (13 months ago)
Author:
desrosj
Message:

Customize: Formally deprecate unused Customizer classes.

The WP_Customize_New_Menu_Control and WP_Customize_New_Menu_Section PHP classes and wp.customize.Menus.NewMenuControl JS class were deprecated in 4.9 through [42034] with the intention of removing them in 5.0. Since more time has passed than originally intended, this change leaves WP_Customize_New_Menu_Control and WP_Customize_New_Menu_Section to prevent any potential backwards compatibility issues, and formally deprecates them. The wp.customize.Menus.NewMenuControl JS class is removed.

Props weston.ruter, matthias-reuter, jrf.
Fixes #42364.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/src/wp-includes/class-wp-customize-section.php

    r46133 r46637  
    384384/** WP_Customize_Nav_Menu_Section class */
    385385require_once( ABSPATH . WPINC . '/customize/class-wp-customize-nav-menu-section.php' );
    386 
    387 /**
    388  * WP_Customize_New_Menu_Section class
    389  *
    390  * As this file is deprecated, it will trigger a deprecation notice if instantiated. In a subsequent
    391  * release, the require_once() here will be removed and _deprecated_file() will be called if file is
    392  * required at all.
    393  *
    394  * @deprecated 4.9.0 This file is no longer used due to new menu creation UX.
    395  */
    396 require_once( ABSPATH . WPINC . '/customize/class-wp-customize-new-menu-section.php' );
Note: See TracChangeset for help on using the changeset viewer.